package de.lazyzero.kkMulticopterFlashTool.gui;

import static lu.tudor.santec.i18n.Translatrix._;

import java.awt.event.KeyEvent;

import javax.swing.DebugGraphics;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTabbedPane;

import com.jgoodies.forms.debug.FormDebugPanel;
import com.jgoodies.forms.layout.CellConstraints;
import com.jgoodies.forms.layout.FormLayout;

public class TestPanel extends FormDebugPanel {
	
	private static final long serialVersionUID = 1L;
	private String title;
	private CellConstraints cc;
	private TestControllPanel testControllPanel;

	public TestPanel() {
		super();
		setTitle(_("TestPane.title"));
		
		initGUI();
	}
	
	private void initGUI() {
		// create the CellContraints
		cc = new CellConstraints();

		// create the Layout for Panel this
		String panelColumns = "3dlu,fill:pref:grow,3dlu,pref,3dlu";
		String panelRows = "3dlu,pref,3dlu,fill:pref,3dlu";
		FormLayout panelLayout = new FormLayout(panelColumns, panelRows);
		this.setLayout(panelLayout);

		testControllPanel = new TestControllPanel();
		
		
		this.add(testControllPanel, cc.xyw(2, 2, 3));
	}

	public void setTitle(String title) {
		this.title = title;
	}
	
	public String getTitle() {
		return this.title;
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		
		JFrame jf = new JFrame();
		
		JTabbedPane tabbedPane = new JTabbedPane();

		TestPanel panel1 = new TestPanel();
		tabbedPane.addTab(panel1.getTitle(), panel1);
		tabbedPane.setMnemonicAt(0, KeyEvent.VK_1);


		TestPanel panel2 = new TestPanel();
		tabbedPane.addTab(panel2.getTitle(), panel2);
		tabbedPane.setMnemonicAt(1, KeyEvent.VK_1);
		
		
		jf.add(tabbedPane);
		jf.pack();
		
		jf.setVisible(true);
	}

}
